"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  data() {
    return {
      //产品列表
      productList: [],
      // 请求参数
      requestParam: {
        name: "",
        page: 1
      },
      // 是否最后一页
      isLast: false,
      // 是否请求中
      isReqing: false
    };
  },
  onShow() {
    if (this.isReqing)
      return;
    this.requestParam.name = "";
    this.requestParam.page = 1;
    this.isLast = false;
    this.isReqing = true;
    this.$http.request("api/course/get_list", this.requestParam.page).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.productList = re.data.data;
      }
    });
  },
  methods: {}
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.f($data.productList, (item, index, i0) => {
      return {
        a: item.image,
        b: common_vendor.t(item.course_name),
        c: common_vendor.t(item.desc),
        d: common_vendor.t(item.course_number),
        e: common_vendor.t(item.reservation_number),
        f: common_vendor.t(item.price_total),
        g: common_vendor.t(item.address),
        h: `/pagesA/course/reservation?orders_product_id=${item.orders_product_id}&course_id=${item.course_id}`,
        i: index
      };
    })
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
