"use strict";
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
const _sfc_main = {
  data() {
    return {};
  },
  methods: {
    // getPhonenumber(re){
    // 	// // 如果授权失败的话
    // 	if( re.detail.errMsg != "getPhoneNumber:ok"){
    // 		uni.showToast({
    // 			icon:"error",
    // 			title:"授权失败"
    // 		})
    // 		return;
    // 	}
    // 	// 授权成功以后，调用登录
    // 	this.$http.request('api/wechat/phone_number',{code:re.detail.code},'post').then((re)=>{
    // 		// 成功的话
    // 		if( re.code == 'success' ){
    // 			// 存储登录标识
    // 			uni.setStorageSync('userLogin',re.data);
    // 			// 跳转到页面
    // 			uni.switchTab({url:"/pages/user/index"})
    // 		}else{
    // 			uni.showToast({
    // 				title: re.msg,
    // 				icon:"none"
    // 			})
    // 		}
    // 	});
    // },
    getPhonenumber(re) {
      if (re.detail.errMsg != "getPhoneNumber:ok") {
        common_vendor.index.showToast({
          icon: "error",
          title: "授权失败"
        });
        return;
      }
      common_vendor.index.login({
        provider: "weixin",
        success: (loginRes) => {
          const { code } = loginRes;
          console.log(code);
          this.$http.request("api/wechat/jscode2session", { code }, "post").then((e) => {
            if (e.code == "success") {
              this.openid = e.data;
              this.$http.request("api/wechat/phone_number", { code: re.detail.code, openid: this.openid }, "post").then((re2) => {
                if (re2.code == "success") {
                  common_vendor.index.setStorageSync("userLogin", re2.data);
                  common_vendor.index.switchTab({ url: "/pages/user/index" });
                } else {
                  common_vendor.index.showToast({
                    title: re2.msg,
                    icon: "none"
                  });
                }
              });
            } else {
              common_vendor.index.showToast({
                title: e.msg,
                icon: "none"
              });
            }
          });
        },
        fail: (err) => {
          console.log("uni.login 接口调用失败，将无法正常使用开放接口等服务", err);
          common_vendor.index.showToast({
            title: "登录失败",
            icon: "none"
          });
        }
      });
    },
    toPhoneLogin(re) {
      this.$http.request("api/wechat/phone_number", this.requestParam).then((re2) => {
        if (re2.code == "success") {
          common_vendor.index.setStorageSync("userLogin", re2.data);
          common_vendor.index.switchTab({ url: "/pages/user/index" });
        } else {
          common_vendor.index.showToast({
            title: re2.msg,
            icon: "none"
          });
        }
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_assets._imports_0$2,
    b: common_vendor.o((...args) => $options.getPhonenumber && $options.getPhonenumber(...args))
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
